Bug 699165 - E/A Error when first account uses SSL or TLS
Summary: E/A Error when first account uses SSL or TLS
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 15
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-23 20:47 UTC by Heiko Adams
Modified: 2012-08-07 17:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:03:51 UTC
Type: ---


Attachments (Terms of Use)
Screenshot of the errormessage (150.47 KB, image/png)
2011-04-26 17:24 UTC, Heiko Adams
no flags Details
requested logfile (178.59 KB, application/octet-stream)
2011-04-26 19:58 UTC, Heiko Adams
no flags Details

Description Heiko Adams 2011-04-23 20:47:51 UTC
Description of problem:
If the first account in the accounts list is configured to use TLS or SSL for POP3 evolution claims an e/a error.

Version-Release number of selected component (if applicable):
evolution-data-server-3.0.0-1.fc15.i686
evolution-help-3.0.0-1.fc15.noarch
evolution-bogofilter-3.0.0-1.fc15.i686
evolution-NetworkManager-3.0.0-1.fc15.i686
evolution-3.0.0-1.fc15.i686
openssl-1.0.0d-1.fc15.i686

How reproducible:
allways

Steps to Reproduce:
1. Configure the first account to use SSL or TLS for POP3
2. Restart Evolution
3. Fetch all accounts
  
Actual results:
Evolution claims an e/a error

Expected results:
No errors should appear

Additional info:
Disabling TLS/SSL for the first account is a possible workaround

Comment 1 Matthew Barnes 2011-04-25 16:52:42 UTC
I wonder what an e/a error is...

Comment 2 Milan Crha 2011-04-26 08:09:17 UTC
Same here, could you provide exact error message, please?

Comment 3 Heiko Adams 2011-04-26 17:24:22 UTC
Created attachment 494999 [details]
Screenshot of the errormessage

The exact error message is just "Eingabe-/Ausgabefehler" as shown on the screenshot

Comment 4 Matthew Barnes 2011-04-26 18:03:29 UTC
Okay.  English please?

Comment 5 Heiko Adams 2011-04-26 18:19:18 UTC
Input-/Output Error or in short e/a error

Comment 6 Matthew Barnes 2011-04-26 19:07:51 UTC
Thanks, that makes more sense now.

Can you try running Evolution from a terminal like so:

    CAMEL_DEBUG=all evolution 2>&1 > log

Repeat the procedure to get the I/O error, and then attach the "log" file here.  You should look over the file first and make sure it doesn't contain any passwords or personal data that you don't want posted publicly.

Comment 7 Heiko Adams 2011-04-26 19:58:15 UTC
Created attachment 495023 [details]
requested logfile

Comment 8 Fedora End Of Life 2012-08-07 17:03:54 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.